window.Gleam.initSearch([{"doc":"cactus","title":"cactus","content":"# 🌵 Cactus\n\n[![Package Version](https://img.shields.io/hexpm/v/cactus)](https://hex.pm/packages/cactus)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/cactus/)\n[![mit](https://img.shields.io/github/license/bwireman/cactus?color=brightgreen)](https://github.com/bwireman/cactus/blob/main/LICENSE)\n[![gleam js](https://img.shields.io/badge/%20gleam%20%E2%9C%A8-js%20%F0%9F%8C%B8-yellow)](https://gleam.run/news/v0.16-gleam-compiles-to-javascript/)\n[![gleam erlang](https://img.shields.io/badge/erlang%20%E2%98%8E%EF%B8%8F-red?style=flat&amp;label=gleam%20%E2%9C%A8)](https://gleam.run)\n\nA tool for managing git lifecycle hooks with ✨ gleam! Pre commit, Pre push and more!\n\n# 🔽 Install\n\n```sh\ngleam add --dev cactus\n```\n\n#### 🌸 Javascript\n\nBun, Deno &amp; Nodejs are _all_ supported!\n\n# ▶️ Usage\n\n**_FIRST_** configure hooks and then run\n\n```sh\n# initialize configured hooks\ngleam run -m cactus\n```\n\n### ⚙️ Config\n\nOptional settings that can be added to your project&#39;s `gleam.toml`\n\n```toml\n[cactus.pre-commit]\n# list of actions for the hook\nactions = [\n    {\n      # name of the command or binary to be run\n      # required\n      command = &quot;format&quot;,\n      # is it a gleam subcommand, a binary or a module\n      # [&quot;sub_command&quot;, &quot;binary&quot;, &quot;module&quot;]\n      # default: module\n      kind = &quot;sub_command&quot;,\n      # additional args to be passed to the command\n      # default: []\n      args = [&quot;--check&quot;]\n    },\n]\n\n[cactus.pre-push]\nactions = [\n    { command = &quot;test&quot;, kind = &quot;sub_command&quot; },\n    { command = &quot;go_over&quot;, kind = &quot;module&quot;, args=[&quot;--outdated&quot;] },\n]\n```\n","url":"index.html"},{"doc":"cactus","title":"main","content":"pub fn main() -&gt; Result(Nil, CactusErr)\n\nSynonyms:\ncactus.main\ncactus main","url":"cactus.html#main"},{"doc":"cactus","title":"cactus","content":"","url":"cactus.html"}]);